Subject: Re: FVWM: FvwmSaveDesk question

From: "Robert H. Ford II" <[email-masked]>
Date: Thu, 02 Sep 1999 13:59:21 -0500

"Robert H. Ford II" wrote:
> 
> 
> Also I would like to use FvwmM4 to process this file but when I use the
> following:
>         fvwm2 -cmd "FvwmM4 -m4-prefix -m4opt -I$HOME $HOME/.fvwm2rc"
> and have this
>         "m4_include(`.fvwm2desk') .
> in my .fvwm2rc file, I get the following error:
>         m4: bad option: --prefix-buttons

I found where the "--prefix-builtins" (not --prefix-buttons) is coming from. 
FvwmM4.c:

259    if(m4_prefix)
260      sprintf(options, "%s --prefix-builtins %s > %s\n",
261              m4_prog,
262              m4_options, tmp_name);
263    else
264      sprintf(options, "%s  %s > %s\n",
265              m4_prog,
266              m4_options, tmp_name);
267    tmpf = popen(options, "w");
268    if (tmpf == NULL) {
269      perror("Cannot open pipe to m4");
270      exit(0377);
271    }

So when I use the "-m4-prefix" option the "--prefix-builtins" is added but m4
sees this as a bad option.  The current version of m4 on my system does not
support this option.  I will fix this.

I was finally able to get the .fvwm2desk to read in without being processed by
either M4 or CPP.  Here is what I did:

###################### Initialization Functions ##########################
AddToFunc "InitFunction" "I" Module FvwmBanner
+                        "I" Module FvwmButtons
+                        "I" Module FvwmBacker
+                        "I" Module FvwmTaskBar
+                        "I" Module FvwmAuto 500
+                        "I" Module FvwmCommandS
+                        "I" Module FvwmAnimate
+                        "I" read /home/misha21/.fvwm2desk

Now the only problem I have is my "re-labeled" windows.  Is there a way to have
the "Wait" label be passed back from the application and not what the current
window label is.  Here is a snippet of what I mean.

Here is what I currently get from FvwmSaveDesk:

AddToFunc InitFunction  "I" Desk 0 1
+               "I" Exec xterm -geometry 80x45+67+1 -name ssbun -title ssbun -bg
 antiquewhite -fg black -bd magenta4 -e rlogin -8 ssbun &
+               "I" Wait ssbun pts/50 /home/misha21

In this case, how hard would it be to have the "Wait" label use the same name as
the xterms "-title" option?

For now I will have to hand edit this file, but it sure would be nice to have it
be hands off.

Thank you for all the hard work and time spent on improving Fvwm.

Bob

-- 
    _/_/_/     _/  _/   _/_/_/_/   _/_/_/_/_/_/ Robert H. Ford II
   _/   _/    _/  _/   _/           _/    _/    Lucent Technologies
  _/_/_/     _/_/_/   _/_/_/       _/    _/     Bell Labs Innovations
 _/   _/    _/  _/   _/           _/    _/      Naperville IL, 60566-7045
_/    _/   _/  _/   _/         _/_/_/_/_/_/     mailto:[email-masked]
                                                Voice: (630) 713-4957
__________________________________________________
|  M R spiders!                    |      |   |  |
|  M N O spiders!                  |      |   |  |
|  O S A R - C D E D B D I's?      |      |   |  |
|  Y I B, M R spiders...           |      |   *  |
|                                  *      |      |
|                                         *      |
--------------------------------------------------
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].